Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.util.cache.mbeans
Class JmxLruCache

    java.lang.Object
      com.sun.appserv.util.cache.mbeans.JmxBaseCache
          com.sun.appserv.util.cache.mbeans.JmxLruCache

All Implemented Interfaces:
  JmxBaseCacheMBean, JmxLruCacheMBean

    public class JmxLruCache

extends JmxBaseCache
implements JmxLruCacheMBean

This class provides implementation for JmxLruCache MBean

Author:
  Krishnamohan Meduri (Krishna.Meduri@Sun.com)

Constructor Summary
`JmxLruCache(LruCache lruCache, String name)`

Method Summary
`Integer` | `getLruListLength()` Returns the current lenght of the LRU list
`Integer` | `getTrimCount()` Returns the number of entries that have been trimmed

Methods inherited from class com.sun.appserv.util.cache.mbeans.JmxBaseCache
`getAddCount, getEntryCount, getHitCount, getMaxEntries, getMissCount, getName, getOverflowCount, getRefreshCount, getRemovalCount, getTableSize, getThreshold`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.sun.appserv.util.cache.mbeans.JmxBaseCacheMBean
`getAddCount, getEntryCount, getHitCount, getMaxEntries, getMissCount, getName, getOverflowCount, getRefreshCount, getRemovalCount, getTableSize, getThreshold`

Constructor Detail

### JmxLruCache

    public JmxLruCache(LruCache lruCache,
                       String name)

Method Detail

### getLruListLength

    public Integer getLruListLength()

  Returns the current lenght of the LRU list

  Specified by:
    `getLruListLength` in interface `JmxLruCacheMBean`

### getTrimCount

    public Integer getTrimCount()

  Returns the number of entries that have been trimmed

  Specified by:
    `getTrimCount` in interface `JmxLruCacheMBean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.